Subject: [Hipsec] I-D Action: draft-ietf-hip-native-nat-traversal-19.txt

From: [email-masked]
Date: Mon, 27 Mar 2017 00:37:56 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Host Identity Protocol of the IETF.

        Title           : Native NAT Traversal Mode for the Host Identity Protocol
        Authors         : Ari Keranen
                          Jan Melén
                          Miika Komu
	Filename        : draft-ietf-hip-native-nat-traversal-19.txt
	Pages           : 53
	Date            : 2017-03-27

Abstract:
   This document specifies a new Network Address Translator (NAT)
   traversal mode for the Host Identity Protocol (HIP).  The new mode is
   based on the Interactive Connectivity Establishment (ICE) methodology
   and UDP encapsulation of data and signaling traffic.  The main
   difference from the previously specified modes is the use of HIP
   messages for all NAT traversal procedures.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-hip-native-nat-traversal/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-hip-native-nat-traversal-19
https://datatracker.ietf.org/doc/html/draft-ietf-hip-native-nat-traversal-19

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-hip-native-nat-traversal-19

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Miika Komu <[email-masked]>
Date: Mon, 27 Mar 2017 10:41:22 +0300

Hi,

the preliminary version is now published as it is (except I had to 
change publication the date). The suggestions from Christer are not yet 
here and will require some time to be fixed.

On 03/27/2017 10:37 AM, [email-masked] wrote:
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hipsec
>

---

From: Jeff Ahrenholz <[email-masked]>
Date: Tue, 28 Mar 2017 15:11:24 +0000

Hi Miika,
The new paragraph on keepalives (Section 5.3) looks good.

For the NOTIFY code, NAT_KEEPALIVE value (“TBD by IANA: 16384”) maybe suggest 16385? ...since we already have “I2_ACKNOWLEDGEMENT 16384” in RFC 5201 and RFC 7401.

thanks,
-Jeff

On 3/27/17, 12:41 AM, "Hipsec on behalf of Miika Komu" <[email-masked] on behalf of [email-masked]> wrote:

    Hi,

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 28 Mar 2017 16:16:07 +0000

Hi,

Another comment:

The draft references specific sections in draft-ice-5245bis.

Note that there is some ongoing re-structuring of 5245bis, which means the section numbers may change.

Regards,

Christer

-----Original Message-----
From: Hipsec [mailto:[email-masked]] On Behalf Of Miika Komu
Sent: 27 March 2017 10:41
To: [email-masked]
Subject: Re: [Hipsec] I-D Action: draft-ietf-hip-native-nat-traversal-19.txt

Hi,

the preliminary version is now published as it is (except I had to change publication the date). The suggestions from Christer are not yet here and will require some time to be fixed.

On 03/27/2017 10:37 AM, [email-masked] wrote:
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
>